Loading ...
Sorry, an error occurred while loading the content.

Re: [nslu2-linux] Apache and Openldap Dependency

Expand Messages
  • Josh Parsons
    ... Perhaps you are updating through a web proxy that has an out-of-date copy of the Packages list cached? In any case, openldap-libs is certainly in the feed.
    Message 1 of 5 , May 4, 2005
    • 0 Attachment
      On Wed, 2005-05-04 at 10:01 +0100, Ian Barton wrote:

      > I have unslung-feeds installed, but openldap doesn't appear on my
      > package list, even after doing an update.

      Perhaps you are updating through a web proxy that has an out-of-date
      copy of the Packages list cached?

      In any case, openldap-libs is certainly in the feed. If you can't get
      your ipkg to behave, you can download it manually from

      http://ipkg.nslu2-linux.org/feeds/unslung/native/

      --
      Josh Parsons
      Philosophy Department
      1238 Social Sciences and Humanities Bldg.
      University of California
      Davis, CA 95616-8673
      USA

      Please avoid sending me Word or PowerPoint attachments.
      See http://www.fsf.org/philosophy/no-word-attachments.html
    • Ian Barton
      Thanks, after a bit of jiggery pokery that solved the problem. However, there is another one now:) Syntax error on line 6 of /opt/etc/apache2/conf.d/php.conf:
      Message 2 of 5 , May 4, 2005
      • 0 Attachment
        Thanks, after a bit of jiggery pokery that solved the problem. However,
        there is another one now:)

        Syntax error on line 6 of /opt/etc/apache2/conf.d/php.conf:
        Cannot load /opt/libexec/libphp5.so into server: libxml2.so.2: cannot
        open shared object file: No such file or director

        I have libxml installed and there is a libxml2.so, but no libxml2.so.2.
        Is this part of another package?

        Ian.

        > Ian Barton <lists@m...> wrote:
        >
        >>> However, when I try to start Apache I get the following error:
        >>>
        >>> /opt/sbin/httpd: error while loading shared libraries:
        >
        > libldap-2.2.so.7:
        >
        >>> cannot open shared object file: No such file or directory
        >
        >
        > I had the same problem yesterday and solved it by:
        >
        > ipkg install -force-reinstall -force-overwrite openldap-libs
        >
        > MFG Matthias
      • Josh Parsons
        ... No, it is part of the libxml2 package. If it is missing from your system, then it must have been deleted since you installed libxml2. -- Josh Parsons
        Message 3 of 5 , May 4, 2005
        • 0 Attachment
          On Wed, 2005-05-04 at 17:16 +0100, Ian Barton wrote:

          > I have libxml installed and there is a libxml2.so, but no libxml2.so.2.
          > Is this part of another package?

          No, it is part of the libxml2 package. If it is missing from your
          system, then it must have been deleted since you installed libxml2.

          --
          Josh Parsons
          Philosophy Department
          1238 Social Sciences and Humanities Bldg.
          University of California
          Davis, CA 95616-8673
          USA

          Please avoid sending me Word or PowerPoint attachments.
          See http://www.fsf.org/philosophy/no-word-attachments.html
        Your message has been successfully submitted and would be delivered to recipients shortly.